Play/Pause/Stop buttons invisable
Target version:    
Description

I'm on Arch Linux with KDE as my desktop environment.

When using the GTK interface plugin, all control buttons are invisible as seen in the attached file.

This happens with both the stable package and the -git version.

Here is the audacious -VV output if it helps:

NFO dbus-server.cc:802 [name_acquired]: Owned D-Bus name (org.atheme.audacious) on session bus.

INFO main.cc:374 [main]: No remote session; starting up.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x721770> buffering enabled for file:///home/technomancer/.config/audacious/config

INFO vfs.cc:111 [VFSFile]: <0x721770> open (mode r) file:///home/technomancer/.config/audacious/config

DEBUG vfs.cc:137 [fread]: <0x721770> read 511 elements of size 1 = 511

DEBUG vfs.cc:137 [fread]: <0x721770> read 499 elements of size 1 = 215

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Transport/gio.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Transport/neon.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Transport/mms.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Container/m3u.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Container/asx.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Container/asx3.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Container/audpl.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Container/cue.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Container/xspf.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Container/pls.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/amidi-plug.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/adplug.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/psf2.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/modplug.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/ffaudio.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/console.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/madplug.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/vorbis.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/xsf.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/flacng.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/sndfile.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/sid.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/aac-raw.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/tonegen.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/metronom.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/cdaudio-ng.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/wavpack.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Input/vtx.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Output/alsa.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Output/oss4.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Output/sdlout.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Output/filewriter.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Output/jack-ng.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Output/pulse_audio.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/compressor.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/mixer.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/crystalizer.so
INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/stereo.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/silence-removal.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/ladspa.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/sox-resampler.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/echo.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/voice_removal.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/crossfade.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/resample.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/speed-pitch.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/mpris2.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/delete-files.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/aosd.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/albumart.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/skins.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/scrobbler.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/alarm.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/lyricwiki.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/statusicon.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/notify.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/lirc.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/hotkey.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/gtkui.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/gnomeshortcuts.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/cd-menu-items.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/playlist-manager.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/search-tool.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/General/song_change.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Visualization/gl-spectrum.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Visualization/blur_scope.so

INFO plugin-registry.cc:544 [plugin_register]: Register plugin: /usr/lib/audacious/Visualization/cairo-spectrum.so

INFO plugin-init.cc:126 [start_required]: Starting selected output plugin PulseAudio Output.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/audacious/Output/pulse_audio.so.

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/technomancer/.config/audacious/playlists/1000.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Playlists (audpl).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/audacious/Container/audpl.so.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x7697a0> buffering enabled for

file:///home/technomancer/.config/audacious/playlists/1000.audpl

INFO vfs.cc:111 [VFSFile]: <0x7697a0> open (mode r) file:///home/technomancer/.config/audacious/playlists/1000.audpl

DEBUG vfs.cc:137 [fread]: <0x7697a0> read 511 elements of size 1 = 186

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/technomancer/.config/audacious/playlists/1001.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Playlists (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x769000> buffering enabled for

file:///home/technomancer/.config/audacious/playlists/1001.audpl

INFO vfs.cc:111 [VFSFile]: <0x769000> open (mode r) file:///home/technomancer/.config/audacious/playlists/1001.audpl

DEBUG vfs.cc:137 [fread]: <0x769000> read 511 elements of size 1 = 12

INFO plugin-init.cc:177 [start_plugins]: Starting Audio CD Menu Items.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/audacious/General/cd-menu-items.so.

INFO plugin-init.cc:177 [start_plugins]: Starting MPRIS 2 Server.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/audacious/General/mpris2.so.

INFO plugin-init.cc:126 [start_required]: Starting selected interface plugin GTK Interface.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/audacious/General/gtkui.so.

INFO interface.cc:67 [interface_load]: Loading GTK Interface.

DEBUG ui_gtk.cc:894 [init]: hooks associate

DEBUG ui_gtk.cc:897 [init]: playlist associate

History

#1 - June 10, 2017 18:19 - John Lindgren

- Tracker changed from Bug to Support

There is a problem with your GTK+ configuration; either you don't have a usable icon theme installed (unlikely) or a configuration setting is

missing/incorrect and preventing GTK+ from finding your theme.  I have used both the GTK+ and Qt interfaces in KDE on Arch Linux without trouble

so it's certainly a solvable problem.  This page might be helpful:

https://wiki.archlinux.org/index.php/Uniform_look_for_Qt_and_GTK_applications
#2 - June 10, 2017 18:43 - Anonymous

Whoops, you're right. How do I close this?

#3 - June 11, 2017 04:12 - John Lindgren

- Status changed from New to Closed

Sounds like you found a solution?  I'll close the ticket.
